/* Program Button Styling */

.box {
  position: relative;
  overflow: hidden;
  width: 100%;
  color: #000;
  background: #000;
  border-radius: 5px;
  clip-path: inset(0 round 5px);
}

.box * {
  box-sizing: border-box;
  transition: all 0.3s ease-in-out;
}

.box img {
  max-width: 100%;
  position: relative;
  display: block;
}

@media (min-width: 992px) {
  .box:hover .pic {
    opacity: .6;
  }
}

.box:before {
  display: none;
}

@media (min-width: 992px) {
  .box:before {
    display: block;
    position: absolute;
    content: '';
    height: 100%;
    width: 90%;
    z-index: 1;
    left: -20%;
    background: rgba(255,255,255,0.7);
    transition: all 0.4s ease-in-out;
    transform: skewX(-30deg) translateX(-80%);
    box-shadow: 2px 0px 10px rgba(0, 0, 0, 0.5);
  }
}

.box .caption {
  display: none;
  top: 9%;
}

@media (min-width: 992px) {
  .box .caption {
    display: block;
    padding-left: 20px;
    position: absolute;
    left: 0;
    top: 20%;
    width: 180px;
    z-index: 1;
    opacity: 0;
  }
}

@media (min-width: 1200px) {
  .box .caption {
    width: 226px;
  }
}

.box .caption p {
  font-size: 17px;
  line-height: 1.5;
  margin-bottom: 10px;
  -webkit-hyphens: none;
  -ms-hyphens: none;
  hyphens: none;
}

@media (min-width: 1200px) {
  .box .caption p {
    font-size: 19px;
    line-height: 1.6;
  }
}

.box .caption h3, .box .caption p {
  text-align: left;
  width: 100%;
}

.box h3 {
  font-size: calc(7.5px + 2vw);
}

@media (min-width: 576px) {
  .box h3 {
    font-size: 15px;
  }
}

@media (min-width: 768px) {
  .box h3 {
    font-size: 18px;
    text-shadow: 1px 1px 2px #000;
  }
}

@media (min-width: 992px) {
  .box h3 {
    font-size: 22px;
  }
}

.box .position {
  position: absolute;
  bottom: 0;
  width: 100%;
  text-align: right;
  padding: 7px 8px 0px 7px;
  opacity: 1;
  color: #fff;
  background: #6f006f;
}

@media (min-width: 768px) {
  .box .position {
    padding: 7px 10px 0px 5px;
  }
}

@media (min-width: 992px) {
  .box .position {
    padding: 12px 15px 5px 5px;
  }
}

.box:hover .caption, .box.hover .caption {
  opacity: 1;
  transition-delay: 0.2s;
  transform: translateZ(0);
}

.box:hover:before, .box.hover:before {
  transform: skewX(-30deg) translateX(0px);
}

.box .icon {
  position: absolute;
  top: 8px;
  left: 8px;
  z-index: 5;
  opacity: .3;
  transition: all 0.4s ease-in-out;
}

.box:hover .icon {
  left: 210px;
  opacity: 0;
  transition: all 0.4s ease-in-out;
}

/* Mobile Description Styling */

.mobile-description {
  font-family: 'Roboto Condensed';
  font-size: 17px;
  line-height: 1.4;
  -webkit-hyphens: auto;
  -moz-hyphens: auto;
  -ms-hyphens: auto;
  hyphens: auto;
  word-break: break-word;
  word-wrap: break-word;
  margin-left: auto;
  margin-right: auto;
  padding: 0 2px;
  text-align: left;
  margin-bottom: 0;
}

@media (min-width: 768px) {
  .mobile-description {
    font-size: 17px;
  }
}

.toggle-link {
  font-family: 'Roboto Condensed';
  font-size: 16px;
  display: block;
  margin-top: 0px;
  margin-left: auto;
  margin-right: auto;
  padding: 0 3px;
  text-align: left;
  text-decoration: underline;
  cursor: pointer;
}

@media (min-width: 992px) {
  .toggle-link {
    display: none;
  }
}

.toggle-link:focus, .toggle-link:active, .toggle-link:hover {
  text-decoration: underline;
  box-shadow: none;
}

.touch-icon {
  position: absolute;
  z-index: 1;
  margin: 7px;
  width: 32px;
  height: 32px;
  background-color: #6f006f;
  border-radius: 50%;
}

